summaryrefslogtreecommitdiff
path: root/auto-installer.sh
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-25 18:14:01 -0500
committernick <myownlittlworld@hotmail.com>2009-05-25 18:14:01 -0500
commit6ec9844921a2a465e02c26e0a09344aaff70fe93 (patch)
tree48da0a09acf14eb8ba96675030ca61fc951b4261 /auto-installer.sh
parentbbacc8174082cfda8e8a4096105c82de308e172e (diff)
downloadgemrb-gameinstallers-6ec9844921a2a465e02c26e0a09344aaff70fe93.tar.bz2
gemrb-gameinstallers-6ec9844921a2a465e02c26e0a09344aaff70fe93.zip
Created the BG2 4CD US Minimal Installer.
Diffstat (limited to 'auto-installer.sh')
-rwxr-xr-xauto-installer.sh37
1 files changed, 27 insertions, 10 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 4c1fe99..1101e7a 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -39,28 +39,46 @@ while [ -z "$MINSCRIPT" ]; do
$BG1_5CD_INTL_MD5 )
FULLGAMENAME="Baldurs Gate 1: 5CD International version"
SHORTGAMENAME="baldursgate1"
- MINSCRIPT=bg1/install-5cd-minimal.sh
- EXTRASCRIPT=bg1/install-5cd-extra.sh
+ MINSCRIPT="bg1/install-5cd-minimal.sh"
+ EXTRASCRIPT="bg1/install-5cd-extra.sh"
PATCHES="bg1/install-patch-intl.sh bg1/install-patch-baldurdash-fix.sh bg1/install-patch-baldurdash-text.sh"
WINDOWSFILES="baldur.exe bgmain.exe config.exe keymap.ini luaauto.cfg update.url"
CDNO=5
;;
$BG1_TOTSC_3CD_US_MD5 )
- FULLGAMENAME="Baldurs Gate & Tales of the Sword Coast: 3CD US version"
+ FULLGAMENAME="Baldurs Gate 1 & Tales of the Sword Coast: 3CD US version"
SHORTGAMENAME="baldursgate1totsc"
- MINSCRIPT=bg1/install-3cd-minimal.sh
- EXTRASCRIPT=bg1/install-3cd-extra.sh
+ MINSCRIPT="bg1/install-3cd-minimal.sh"
+ EXTRASCRIPT="bg1/install-3cd-extra.sh"
PATCHES="bg1/install-patch-baldurdash-fix.sh bg1/install-patch-totsc-baldurdash-text.sh"
WINDOWSFILES="baldur.exe bgmain.exe config.exe keymap.ini luaauto.cfg update.url"
CDNO=3
;;
$BG1_TOTSC_1CD_UK_MD5 )
- FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 1CD UK version"
+ FULLGAMENAME="Baldurs Gate 1 & Tales of the Sword Coast: 1CD UK version"
SHORTGAMENAME="baldursgate1totsc"
- MINSCRIPT=bg1/install-1cd-totsc-uk.sh
+ MINSCRIPT="bg1/install-1cd-totsc-uk.sh"
PATCHES="bg1/install-patch-totsc-uk.sh bg1/install-patch-baldurdash-fix.sh bg1/install-patch-totsc-baldurdash-text.sh"
WINDOWSFILES="bgmain2.exe baldur.exe config.exe mconvert.exe"
;;
+ $BG2_4CD_US_MD5 )
+ FULLGAMENAME="Baldurs Gate 2 - Shadows of Amn: 4CD US version"
+ SHORTGAMENAME="baldursgate2soa"
+ MINSCRIPT="bg2/install-4cd-minimal-us.sh"
+ # TODO: uncomment when complete EXTRASCRIPT="bg2/install-4cd-extra-us.sh"
+ PATCHES="" # TODO: fill in patches
+ # bg2/install-patch-soa-us.sh bg2/install-patch-baldurdash-fix.sh bg2/install-patch-soa-baldurdash-text.sh"
+ WINDOWSFILES="bgdxtest.exe bggltest.exe glsetup.exe bgconfig.exe bgmain.exe charview.exe"
+ ;;
+ # $BG2_TOB_1CD_US_MD5 )
+ # FULLGAMENAME="Baldurs Gate 2 - Throne of Bhaal: 1CD US version"
+ # SHORTGAMENAME="baldursgate2tob"
+ # MINSCRIPT="bg2/install-1cd-tob-us.sh"
+ # PATCHES="" # TODO: fill in patches
+ # # bg2/install-patch-totsc-uk.sh bg1/install-patch-baldurdash-fix.sh bg1/install-patch-totsc-baldurdash-text.sh"
+ # # TODO: correct the list of windows files.
+ # WINDOWSFILES="" # "bgmain2.exe baldur.exe config.exe mconvert.exe"
+ # ;;
$PST_2CD_MD5 )
FULLGAMENAME="Planescape Torment: 2CD version"
SHORTGAMENAME="planescapetorment"
@@ -93,13 +111,12 @@ done
[ -d "$TARGETDIR" ] && export alwaysdiesafely=1
echo "$FULLGAMENAME detected, installing"
-
-"$scriptdir/$MINSCRIPT" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+"${scriptdir}/${MINSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
if [ -n "$EXTRASCRIPT" ]; then
if query "Do you want to do a full install, so the CDs will not be needed again?" y; then
FULLINSTALL=1
- "$scriptdir/$EXTRASCRIPT" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+ "${scriptdir}/${EXTRASCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
else
FULLINSTALL=0
fi